<?php
/**
* This script prints the menu for interactions with
* GEO Database through DOME.
* Date: 03 Oct 2006
* @author Aejaaz Kamal <aekamal@vt.edu>
*/

//session_start();
include_once("common.php");
?>

<?php
$currPageName = 'GEO_MENU';

$title = "DOME : GEO Menu"; 
include("header.php");
if (strtoupper($_SESSION['role']) != 'MANAGER')
{	printError("You are not authorized to view this page. Your role level should be 'manager' to view this page.");	exit();}
?>
<p class="help-tips">This page is only accessible to the Manager of the Database. If you are not the Manager then PLEASE LOGOUT.</p>
<p class="help-tips">You can use these links to interact with GEO Database.</p>

<div class="left-align">
<ul>
	<li><a href="producePlatformFile.php">Produce Platform File</a></li>
	<li><a href="produceSampleFile1Channel.php">Produce 1 Channel (Affymetrix) Sample File</a></li>
	<li><a href="produceSampleFile2Channel.php">Produce 2 Channel Sample File</a></li>
</ul>
</div>
<?php 
	include("footer.php");
?>
