<?php
/**
* This script is used to show results from Brome.
* for DOME.
* Date: 15 Dec 2004
* @author Aejaaz Kamal <aekamal@vt.edu>
*/

include_once("common.php");
include_once("workFlow.php");

//Parse Get or Post step number and set the current step number.
setStepNumber();

//Sets Environment Variable
setVariables($_SESSION['STEP_NUMBER']);
doControlBarRedirection(0);
$prevPageNameUpper = strtoupper($prevPageName);

?>

<?php
  $title = "DOME : Map Results";
  include("header.php");
?>
<script language="javascript">
function createWindow(cUrl,cName,cFeatures) {
var xWin = window.open(cUrl,cName,cFeatures)
}
</script>

<?php
$action = $_SERVER[PHP_SELF];
echo "<form name=\"init_form\" method=\"post\" action=\"$action\" >\n";

$sid = session_id();
$dataFile = "{$_SESSION['BROWSER_TMP_FULL']}$sid.dat";
$perlScriptFile = "callPerlBrome.pl";
$rcFile = "{$_SESSION['BROWSER_TMP_FULL']}$sid.rc";


$sql = "SELECT m.map_number	FROM map m WHERE m.map_id = '{$_SESSION['DOMAPS']['map_id']}'";
		
$sth = $_SESSION['dbh']->query($sql);
if ( DB::isError($sth) ) 
{	printError("Error retrieving Map number from map table. " . $sth->getMessage());	}
else
{
	$row = $sth->fetchRow();
	$map_number = $row[0];
	if ($_SESSION[$prevPageNameUpper]['IsAnimated'])
	{	$is_animated = 1; $delay = $_SESSION[$prevPageNameUpper]['animationSpeed'];	}
	else
	{	$is_animated = 0; $delay = 0;	}


	$cmd = "{$_SESSION['PERL_DIR']}perl $perlScriptFile \"$dataFile\" \"{$_SESSION['BROWSER_TMP_FULL']}{$sid}_\" $map_number \"$rcFile\" 1 $is_animated $delay 2>&1";

	exec($cmd, $retLines, $retValue);
	//print "\n<br />$cmd<br />\n";
	//print "<br />Captured Output:<br />";
	//print_r($retLines);
	if (!$retValue)
	{
		getPageSelections($selectionsHash, true);
		if (!$_SESSION['IS_REPLICATE_TRACK'])
		{	
			unset($selectionsHash['Fields']);
			$selectionsHash['Field'] = $fields[$_SESSION[$searchGeneKey]['FIELDS'][0]];	
		}
		print printPageSelections($selectionsHash, true);
		printControlBar($_SESSION['STEP_NUMBER'], 0);
				
		print "\n<div class=\"brome-image\">";
		$label_names = array_unique($_SESSION[$searchGeneKey]['MASTER_ARRAY_KEYS']['label_names']);
		$firstImage = true;
		if ($_SESSION[$prevPageNameUpper]['IsAnimated'])
		{
			$outputAnimationFile = "{$_SESSION['BROWSER_TMP_RELATIVE']}{$sid}.gif";
			
			/*
			//Open .png, write $label_name and then convert to .gif
			foreach ($label_names as $label_name) 
			{	
				$i++;
				$outputFile = "{$_SESSION['BROWSER_TMP_RELATIVE']}{$sid}_{$map_number}_out_$i.png";
				
				$im = @imagecreatefrompng($outputFile); // Attempt to open 
					if (!$im) //See if it failed
					{	printError("Unable to open '$outputFile'.");	}
					
					
					// write the string
					// white background and blue text
				$bg = imagecolorallocate($im, 255, 255, 255);
				$textcolor = imagecolorallocate($im, 0, 0, 255);
				imagestring($im, 5, 10, 250, $label_name, $textcolor);
					
					$GifFile = "{$_SESSION['BROWSER_TMP_RELATIVE']}{$sid}_$i.gif";
					if (!imagegif($im, $GifFile))
					{	printError("Could not produce .gif file '$GifFile'.");	}
					
					$gifImageArray[] = $GifFile;
					$delayArray[] = $_SESSION[$prevPageNameUpper]['animationSpeed'] / 10;
					$x[] = 0; $y[] = 0;
			}
			else
			{	printError("ImageMagik not installed or No gif support in GD library.");	}
			
			
			$t1 = -1; $t2 = -1; $t3 = -1; 
			$loop = 0;
			
			$anim = new GifMerge($gifImageArray, $t1, $t2, $t3, $loop, $delayArray, $x, $y, 'C_FILE');
			writeFile($anim->getAnimation(), $_SESSION['BROWSER_TMP_RELATIVE'], "{$sid}.gif");
			
			//cleanup
			$i = 0;
			foreach ($label_names as $label_name) 
			{	$i++; $RemoveFilesCommands .= "rm -f {$_SESSION['BROWSER_TMP_RELATIVE']}{$sid}_$i.gif\n";	}
			writeFile($RemoveFilesCommands, $_SESSION['BROWSER_TMP_RELATIVE'], "{$sid}_IM.cmd");
			system("chmod 774 {$_SESSION['BROWSER_TMP_RELATIVE']}{$sid}_IM.cmd");
			$cmd = "{$_SESSION['BROWSER_TMP_RELATIVE']}{$sid}_IM.cmd 2>&1";
			exec($cmd, $retLines, $retValue);*/

			//if (!$retValue)
			if (file_exists($outputAnimationFile))
			{
				//To prevent Browser from not caching Images.
				$junk = md5(time());
				if ($firstImage)
				{
					print "\n<p><img border=\"2\" src=\"./{$outputAnimationFile}?<?=$junk?>\"></p>";
					$firstImage = false;
				}
			}
			else
			{	printError("Animation File '$outputAnimationFile' not produced.");	}
		}
		else
		{
			foreach ($label_names as $label_name) 
			{	
				$i++;
				//$outputFile = "{$_SESSION['BROWSER_TMP_RELATIVE']}{$sid}_{$map_number}_out_$i.png";
        $outputFile = "{$_SESSION['BROWSER_TMP_RELATIVE']}{$sid}_out_$i"."_{$map_number}";
				//To prevent Browser from not caching Images.
				$junk = md5(time());
				if ($firstImage)
				{
					print "\n<p><img border=\"2\" src=\"./{$outputFile}?<?=$junk?>\">";
					print "<br />$label_name";
					print "</p>";
					$firstImage = false;
				}
				else
				{
					$url = "generalResults.php?stepno={$_SESSION['STEP_NUMBER']}&label_name=$label_name&mapFile={$outputFile}";
					print "\n<p><a href=\"javascript:createWindow('$url', '_blank', 'height=550, width=800, resizable, scrollbars, status')\" >$label_name</a></p>";
				}
			}
			
			//system("rm -f $dataFile");
		}
		print "<br />{$_SESSION['DOMAPS']['LegendTable']}";
		print "\n</div>";
	}
	else
	{ 
	  	if ($retLines)
	  	{
		  foreach ($retLines as $retLine)
		  {	$msg .= "$retLine <br />";	}
	  	}
	  	else
	  	{	$msg = "callBrome command Failed. Command was $cmd <br/>Return Value:$retValue";	}
	  	printError ($msg);  
	}
}

printControlBar($_SESSION['STEP_NUMBER'], 0);
print "\n</form>";

include ("footer.php");
?>
