#!/usr/local/bin/perl



use DBI;

use DOMELIB;

use strict "vars";



my($exp_set_id, $extract_id, @protocol_type_ids, $ptid,  $tissue_type_label_id,

   $ref_srid, $ref_tissue_type_id, $prefix,

   $database, $username, $password, $bnet_DB, $specieDB, 

   $dbh, $sth, $rc, $sql, $srid, $cmd);

($prefix, $ref_srid, $ref_tissue_type_id, $exp_set_id, $tissue_type_label_id, %ptid, $extract_id) = @ARGV;



#$exp_set_id = "(1, 2)";

#$exp_set_id = "(2)";

#$extract_id = 2;

#@protocol_type_ids = (34);

#$protocol_type_id = 39;

#$protocol_type_id = 40;

#$tissue_type_label_id = 31;

#$prefix = "/export/home/xingjing/data/dome/temp/101005";





#== connect to the database:

($database, $username, $password, $bnet_DB, $specieDB) = database_login2();

$dbh = DBI->connect($database,$username,$password) or die "Can't connect to $database:$DBI::errstr.";

$sql = "set search_path to \"$specieDB\"";

$sth = $dbh->prepare($sql) or die "Can't prepare: $DBI::errstr.";

$rc = $sth->execute or die "Can't execute: $DBI::errstr.";



#== get all srids for all:

$sql = "select sampling_replicate_id from sampling_replicate where sampling_point_id in (select sampling_point_id from sampling_point where experiment_id in (select experiment_id from experiment where exp_set_id in $exp_set_id)) order by sampling_replicate_id";

$sth = $dbh->prepare($sql) or die "Can't prepare: $DBI::errstr.";

$rc = $sth->execute or die "Can't execute: $DBI::errstr.";

while ($srid = $sth->fetchrow()) {

    $cmd = "perl normalizeCDnas.pl $prefix $ref_srid $ref_tissue_type_label_id $srid $tissue_type_label_id $ptid $extract_id";

    #print $cmd . "\n";

    system $cmd;

}



$sth->finish;

$dbh->disconnect;

exit;

