<?php
/**
* This script prints the menu for cleanup.
* Date: 31 Oct 2005
* @author Aejaaz Kamal <aekamal@vt.edu>
*/

//session_start();
include_once("common.php");
$currPageName = 'CLEANUP';
?>

<?php


$title = "DOME : Cleanup Menu"; 
include("header.php");
if (!(strtoupper($_SESSION['role']) == 'EDITOR' OR strtoupper($_SESSION['role']) == 'MANAGER'))
{	printError("You are not authorized to view this page. Your role level should be 'editor' or 'manager' to view this page.");	exit();}
?>
<p class="help-tips">This page is only accessible to the editor or Manager of the Database. If you are not an editor or a Manager then please logout.</p>
<p class="help-tips">You can use these links to cleanUp DOME database.</p>

<div class="left-align">
<p>
 <ul>
	<p class="help-tips">Cleanup files in the temp directory created by this software. Only files older than 7 days will be deleted.</p>	
 	<li><a href="cleanUpTemp.php">Cleanup Temp Directory</a></li>
	<p class="help-tips">Perform a vacuum after addition/deletion of large amounts of data or whenever you feel the database is working slowly. Please note that this may take several minutes.</p>
	<li><a href="vacuumAnalyze.php">Vacuum Database</a></li>
 </ul>
</p>
</div>
<?php 
	include("footer.php");
?>

