<?php

/**
* This script displays the output in Tab-Delimited File table format.
* Date: 20 Jan 2006
* @author Aejaaz Kamal <aekamal@vt.edu>
*/

include_once("common.php");
include_once("workFlow.php");

//Parse Get or Post step number and set the current step number.
setStepNumber();

//Sets Environment Variable
setVariables($_SESSION['STEP_NUMBER']);
doControlBarRedirection(0);
?>

<?php
$title = "DOME : Tab-Delimited File Output";
include("header.php");
?>

<?php
fillForm();
include ("footer.php");
?>


<?php
//Functions
function fillForm()
{
	global $currPageName, $searchGeneKey;
	$currPageNameUpper = strtoupper($currPageName);
	print printPageSelections();
	if ($_SESSION[$searchGeneKey]['MASTER_ARRAY'])
	{
		print "<p></p>";
		print "\n<a href=\"./{$_SESSION['BROWSER_TMP_RELATIVE']}results.xls\">Results in Tab-Delimited Format</a>";
		$totTime = microtime_float() - $_SESSION[$searchGeneKey]['START_TIME'];
		$totTime = number_format($totTime, 2, '.', '');
		print "<p>Time-taken: $totTime second(s)</p>";		
	}
	else
	{	printMessage("No data found for your selections.");	}
	
	$self = $_SERVER['PHP_SELF'];
	echo "<form name=\"init_form\" method=\"post\" action=\"$action\" >\n";
	printControlBar($_SESSION['STEP_NUMBER'], 0);
	print "\n</form>";
}

?>