<?php

 	//The name of the database to connect to.
	$database = 'DOME';
	//User accessing this database.
	$username = 'curator';
	//The password for this user.
	$password = '';
	//The server on which the database is located on.
	$server = '';
	//Schema name for the B-Net portion of this database.
	$BNetSchemaName = "bnet";
	//Schema name for the rest of the portion of this database.
	$SpeciesSchemaName = "project";

	/**Setting Paths*/
	//1. Webserver base directory (also called htdocs) directory.
	$_SESSION['HTDOCS_DIR'] = "/usr/local/apache/htdocs/";

	//2. The installation directory relative to the htdocs base in 1. above,
	//where all the DOME php scripts will be copied to.
	$_SESSION['DOME_INSTALLATION_DIR_RELATIVE_TO_HTDOCS'] = "DOME/";

	//Please make a temp directory below the above directory 2. Specify its path relative to 2 here.
	//Please note that this directory HAS TO BE WRITABLE by the user of the webserver (e.g. user 'nobody' or 'apache').
	$_SESSION['BROWSER_TMP_RELATIVE'] = "tmp-plots/";


	//If you have installed BNET Front-End (from VBI), specify the URL where BNet is.
	//This is used only when you are consolidating updates to BNET from VBI.
	$_SESSION['BNET_URL'] = "http://medicago.vbi.vt.edu/B-Net/";

	/**Specify below the directories where the binaries for the different softwares
	would be found.
	Please note that you NEED TO have a working version of the following
	softwares already installed on the machine which is running the webserver
	before this DOME Front-End can work:
	1. GNUPlot
	2. Perl
	3. R
	4. Ometer (from VBI: http://mendes.vbi.vt.edu/tiki-index.php?page=ometer)
	5. BROME (from VBI)
	*/
	$_SESSION['GNUPLOT_DIR'] = '/usr/local/bin/';
	$_SESSION['PERL_DIR'] = '/usr/local/bin/';
	$_SESSION['R_DIR'] = '/usr/local/bin/';
	$_SESSION['OMETER_DIR'] = '/usr/local/bin/';


	//Specify where the HOME directory containing BROME data is located.
	//Please Note that the setting below WILL BE IGNORED if you have
	//already set it in the environment available to the webserver,
	//through the UNIX ".profile" file.
	$_SESSION['BROME_HOME'] = '';

	//Specify where the R_HOME Directory
	//Please Note that the setting below WILL BE IGNORED if you have
	//already set it in the environment available to the webserver,
	//through the UNIX ".profile" file.
	$_SESSION['R_HOME'] = '/usr/local/lib/R/';

	//Specify the place RSPerl is installed. (Usually defaults to R_HOME/library/RSPerl/)
	$_SESSION['RSPERL_DIR']='/usr/local/lib/R/library/RSPerl/';

	//All the microarray data files will be copied to this directory.
	//Please note that this directory HAS TO BE WRITABLE by the user of the webserver (e.g. user 'nobody' or 'apache').
	$_SESSION['FILE_HOME'] = '';

	//This is the name of the species the DOME Front-End is working for.
	//The ID for this species should already be present in the 'species'
	//table of 'BNet' schema of the Database. Also this exact name
	//you specify below should be present in the 'allnames'
	//table of the BNET schema.
	$_SESSION['SPECIES_NAME'] = 'Homo Sapiens';

	//Please set the URL of the website you may have set up in the project.
	//A link to it will appear in the footer of all pages.
	$_SESSION['PROJECT_WEBSITE'] = '';

	//Specify the units to display the plots in 'minutes', 'hours', 'days' or 'weeks'."
	$_SESSION['PLOT_TIMES_IN'] = 'weeks';


?>