<?php
/**
* This script prints the menu for the metadata
* Date: 30 Jun 2006
* @author Aejaaz Kamal <aekamal@vt.edu>
*/

//session_start();
include_once("common.php");
?>

<?php

$currPageName = 'VIEW_EDIT_METADATA_MENU';
$title = "DOME : MetaData Menu"; 
include("header.php");
if (strtoupper($_SESSION['role']) != 'MANAGER')
{	printError("You are not authorized to view this page. Your role level should be 'manager' to view this page.");	exit();}
?>
<p class="help-tips">This page is only accessible to the Manager of the Database. If you are not the Manager then PLEASE LOGOUT.</p>
<p class="help-tips">You can use these links to view/edit Meta Data.</p>
<div class="left-align">
<p>
 <ul>
   <hr/>
   <p class="help-tips">USE THIS SECTION TO VIEW/EDIT META-DATA FOR THE EXPERIMENT</p>
   <li><a href="viewEditTable.php?currPageName=EXPERIMENT_SET">View/Edit Experiment Set</a></li>

   <li><a href="viewEditTable.php?currPageName=EXPERIMENT">View/Edit Experiment</a></li>	

   <li><a href="viewEditTable.php?currPageName=ADD_SAMPLING_POINT">View/Edit Sampling Point</a></li>

   <li><a href="viewEditTable.php?currPageName=TISSUE_TYPE">View/Edit Tissue Type</a></li>

   <li><a href="viewEditTable.php?currPageName=SAMPLING_REPLICATE">View/Edit Sampling Replicate</a></li>

   <hr/>
   <p class="help-tips">USE THIS SECTION TO VIEW/EDIT INFORMATION ABOUT THE BIOLOGICAL SAMPLE USED IN THE EXPERIMENT</p>
   <li><a href="viewEditTable.php?currPageName=BIOSOURCE_PROPERTIES">View/Edit Biosource Properties</a></li>

   <li><a href="viewEditTable.php?currPageName=BIOMATERIAL_MANIPULATION">View/Edit Biomaterial Manipulation</a></li>

   <li><a href="viewEditTable.php?currPageName=GROWTH_CONDITIONS">View/Edit Growth Conditions</a></li>

   <p class=\"li-separator\"></p>
   <hr/>
   <p class="help-tips">USE THIS SECTION TO VIEW/EDIT TRANSCRIPTOMICS SPECIFIC META-DATA</p>
   <li><a href="viewEditTable.php?currPageName=SPOTTED_ARRAY_DESIGN">View/Edit Spotted Array Design</a></li>
   
   <li><a href="viewEditTable.php?currPageName=AFFYMETRIX_ARRAY_DESIGN">View/Edit Affymetrix Array Design</a></li>

   <li><a href="viewEditTable.php?currPageName=FEATURE_TYPE">View/Edit Feature Type</a></li>

   <li><a href="viewEditTable.php?currPageName=HYBRIDIZATION_PROTOCOL">View/Edit Hybridization Protocol</a></li>

   <li><a href="addSampleLabeling.php?mode=EDIT">View/Edit Sample Label</a></li>

   <li><a href="viewEditTable.php?currPageName=SCANNING_PROTOCOL">View/Edit Scanning Protocol</a></li>

   <hr/>
   <p class="help-tips">OTHER INFORMATION TO VIEW/EDIT</p>
   <li><a href="viewEditTable.php?currPageName=COLUMN">View/Edit Column</a></li>

   <li><a href="viewEditTable.php?currPageName=EXTRACT">View/Edit Extraction Method</a></li>


   <li><a href="viewEditTable.php?currPageName=PROTOCOL_TYPE">View/Edit Protocol</a></li>

   <li><a href="viewEditTable.php?currPageName=PROTOCOL">View/Edit Statistical Test</a></li>

   <li><a href="viewEditTable.php?currPageName=REFERENCE">View/Edit Reference</a></li>


   <li><a href="viewEditTable.php?currPageName=SOFTWARE">View/Edit Software</a></li>


   <p class=\"li-separator\"></p>	
   
<li><a href="viewEditTable.php?currPageName=PERSON">View/Edit a Person</a></li>

<li><a href="viewEditTable.php?currPageName=TECHNIQUE_ACL">View/Edit Technique Viewable by guest</a></li>	

 </ul>
</p>
</div>
<?php 
	include("footer.php");
?>

