<?php
/**
* This script prints the menu for the BNet section through DOME.
* Date: 10 Apr 2006
* @author Aejaaz Kamal <aekamal@vt.edu>
*/

//session_start();
include_once("common.php");
?>

<?php
$currPageName = 'BNET_MENU';

$title = "DOME : BNet Menu"; 
include("header.php");
if (strtoupper($_SESSION['role']) != 'MANAGER')
{	printError("You are not authorized to view this page. Your role level should be 'manager' to view this page.");	exit();}
?>
<p class="help-tips">This page is only accessible to the Manager of the Database. If you are not the Manager then PLEASE LOGOUT.</p>
<p class="help-tips">You can use these links to edit BNet.</p>

<div class="left-align">
<ul>
	<li><a href="addToBNetFromFile.php?table_name=allnames">Add Synonyms</a></li>
	<p class="help-tips">Add details about the type of column used during an experiment</p>
	<li><a href="addTable.php?currPageName=EXTERNAL_DATABASE&callingPage=BNetMenu.php">Add External Database</a></li>
	<li><a href="addToBNetFromFile.php?table_name=external_links">Add External Links</a></li>
	<hr />
	<li><a href="viewEditTable.php?currPageName=EXTERNAL_DATABASE&callingPage=BNetMenu.php">View/Edit External Database</a></li>
	<hr />
<?php	
	$_SESSION['allowAdd'] = true;	
	$_SESSION['allowEditDelete'] = true;	
?>
	<li><a target="_bnet" href="./bnet/simpleSearch.php">Add/Edit Biological Reference information</a></li>
</ul>
</div>
<?php 
	include("footer.php");
?>
