#!/usr/local/bin/perl



use DBI;

use DOMELIB;

use strict "vars";



my($exp_ids, $extract_id, @protocol_type_ids, $ptid, , $tissue_type_label_id,

   $force_add,

   $database, $username, $password, $bnet_DB, $specieDB, $dbh, $sth, $rc, $sql,

   $spid, @spids, $cmd, $ok);

($exp_ids, $ptid, $tissue_type_label_id, $extract_id) = @ARGV;



#$exp_ids = "(1, 2, 7, 8)";

#$exp_set_id = 2;

#$extract_id = 2;

#@protocol_type_ids = (34);

#@protocol_type_ids = (34, 39, 40);

#$protocol_type_id = 34;

#$protocol_type_id = 39;    

#$protocol_type_id = 40;

#$tissue_type_label_id = 31;

#$force_add = 0;



#== connect to the database:

($database, $username, $password, $bnet_DB, $specieDB) = database_login2();

$dbh = DBI->connect($database,$username,$password) or die "Can't connect to $database:$DBI::errstr.";

$dbh->begin_work;

$sql = "set search_path to \"$specieDB\"";

$sth = $dbh->prepare($sql) or die "Can't prepare: $DBI::errstr.";

$rc = $sth->execute or die "Can't execute: $DBI::errstr.";





#== get all spids for experiment_set:

$sql = "select sampling_point_id from sampling_point where experiment_id in $exp_ids order by sampling_point_id";

$sth = $dbh->prepare($sql) or die "Can't prepare: $DBI::errstr.";

$rc = $sth->execute or die "Can't execute: $DBI::errstr.";

while ($spid = $sth->fetchrow()) {

    push @spids, $spid;

}

$sth->finish;

$dbh->disconnect;



#== do one spid at once:

foreach $spid (@spids) {

    $cmd = "perl getMeanStdevForMicroarrayBySPID.pl $spid $ptid $extract_id $tissue_type_label_id $force_add";

    print "$cmd\n";

    $ok = system $cmd;

#    print "$ok\n";

}



exit;





