<?php
/**
* This script gets the parameters for the display of Maps for Brome
* and passes it to Jing's script which calls Brome.
*
* Date: 24 Dec 2005
* @author Aejaaz Kamal <aekamal@vt.edu>
*/

include_once("common.php");
include_once("workFlow.php");

//Parse Get or Post step number and set the current step number.
setStepNumber();

//Sets Environment Variable
setVariables($_SESSION['STEP_NUMBER']);
$TableIDs = array($_SESSION['TableID']['COMPOUND'], $_SESSION['TableID']['REPORTER']);
doControlBarRedirection(1);
?>

<?php
$title = "DOME : Map Parameters";
include("header.php");
?>
    
<!-- flooble Color Picker header start --> 
<script language="Javascript">
// Color Picker Script from Flooble.com
// For more information, visit 
//	http://www.flooble.com/scripts/colorpicker.php
// Copyright 2003 Animus Pactum Consulting inc.
// You may use and distribute this code freely, as long as
// you keep this copyright notice and the link to flooble.com
// if you chose to remove them, you must link to the page
// listed above from every web page where you use the color
// picker code.
//---------------------------------------------------------
     var perline = 9;
     var divSet = false;
     var curId;
     var colorLevels = Array('0', '3', '6', '9', 'C', 'F');
     var colorArray = Array();
     var ie = false;
     var nocolor = 'none';
	 if (document.all) { ie = true; nocolor = ''; }
	 function getObj(id) {
		if (ie) { return document.all[id]; } 
		else {	return document.getElementById(id);	}
	 }

     function addColor(r, g, b) {
     	var red = colorLevels[r];
     	var green = colorLevels[g];
     	var blue = colorLevels[b];
     	addColorValue(red, green, blue);
     }

     function addColorValue(r, g, b) {
     	colorArray[colorArray.length] = '#' + r + r + g + g + b + b;
     }
     
     function setColor(color) {
     	var link = getObj(curId);
     	var field = getObj(curId + 'field');
     	var picker = getObj('colorpicker');
     	field.value = color;
     	if (color == '') {
	     	link.style.background = nocolor;
	     	link.style.color = nocolor;
	     	color = nocolor;
     	} else {
	     	link.style.background = color;
	     	link.style.color = color;
	    }
     	picker.style.display = 'none';
	    eval(getObj(curId + 'field').title);
     }
        
     function setDiv() {     
     	if (!document.createElement) { return; }
        var elemDiv = document.createElement('div');
        if (typeof(elemDiv.innerHTML) != 'string') { return; }
        genColors();
        elemDiv.id = 'colorpicker';
	    elemDiv.style.position = 'absolute';
        elemDiv.style.display = 'none';
        elemDiv.style.border = '#000000 1px solid';
        elemDiv.style.background = '#FFFFFF';
        elemDiv.innerHTML = '<span style="font-family:Verdana; font-size:11px;">Pick a color: ' 
          	+ '<br>' 
        	+ getColorTable() 
        	+ '</span>';

        document.body.appendChild(elemDiv);
        divSet = true;
     }
     
     function pickColor(id) {
     	if (!divSet) { setDiv(); }
     	var picker = getObj('colorpicker');     	
		if (id == curId && picker.style.display == 'block') {
			picker.style.display = 'none';
			return;
		}
     	curId = id;
     	var thelink = getObj(id);
     	picker.style.top = getAbsoluteOffsetTop(thelink) + 20;
     	picker.style.left = getAbsoluteOffsetLeft(thelink);     
	picker.style.display = 'block';
     }
     
     function genColors() {
        addColorValue('0','0','0');
        addColorValue('3','3','3');
        addColorValue('6','6','6');
        addColorValue('8','8','8');
        addColorValue('9','9','9');                
        addColorValue('A','A','A');
        addColorValue('C','C','C');
        addColorValue('E','E','E');
        addColorValue('F','F','F');                                
			
        for (a = 1; a < colorLevels.length; a++)
			addColor(0,0,a);
        for (a = 1; a < colorLevels.length - 1; a++)
			addColor(a,a,5);

        for (a = 1; a < colorLevels.length; a++)
			addColor(0,a,0);
        for (a = 1; a < colorLevels.length - 1; a++)
			addColor(a,5,a);
			
        for (a = 1; a < colorLevels.length; a++)
			addColor(a,0,0);
        for (a = 1; a < colorLevels.length - 1; a++)
			addColor(5,a,a);
			
			
        for (a = 1; a < colorLevels.length; a++)
			addColor(a,a,0);
        for (a = 1; a < colorLevels.length - 1; a++)
			addColor(5,5,a);
			
        for (a = 1; a < colorLevels.length; a++)
			addColor(0,a,a);
        for (a = 1; a < colorLevels.length - 1; a++)
			addColor(a,5,5);

        for (a = 1; a < colorLevels.length; a++)
			addColor(a,0,a);			
        for (a = 1; a < colorLevels.length - 1; a++)
			addColor(5,a,5);
			
       	return colorArray;
     }
     function getColorTable() {
         var colors = colorArray;
      	 var tableCode = '';
         tableCode += '<table border="0" cellspacing="1" cellpadding="1">';
         for (i = 0; i < colors.length; i++) {
              if (i % perline == 0) { tableCode += '<tr>'; }
              tableCode += '<td bgcolor="#000000"><a style="outline: 1px solid #000000; color: ' 
              	  + colors[i] + '; background: ' + colors[i] + ';font-size: 10px;" title="' 
              	  + colors[i] + '" href="javascript:setColor(\'' + colors[i] + '\');">&nbsp;&nbsp;&nbsp;</a></td>';
              if (i % perline == perline - 1) { tableCode += '</tr>'; }
         }
         if (i % perline != 0) { tableCode += '</tr>'; }
         tableCode += '</table>';
      	 return tableCode;
     }
     function relateColor(id, color) {
     	var link = getObj(id);
     	if (color == '') {
	     	link.style.background = nocolor;
	     	link.style.color = nocolor;
	     	color = nocolor;
     	} else {
	     	link.style.background = color;
	     	link.style.color = color;
	    }
	    eval(getObj(id + 'field').title);
     }
     function getAbsoluteOffsetTop(obj) {
     	var top = obj.offsetTop;
     	var parent = obj.offsetParent;
     	while (parent != document.body) {
     		top += parent.offsetTop;
     		parent = parent.offsetParent;
     	}
     	return top;
     }
     
     function getAbsoluteOffsetLeft(obj) {
     	var left = obj.offsetLeft;
     	var parent = obj.offsetParent;
     	while (parent != document.body) {
     		left += parent.offsetLeft;
     		parent = parent.offsetParent;
     	}
     	return left;
     }


</script>
<!-- flooble Color Picker header end -->      
  

<?php
if ($errMsgs)
{	
	foreach ($errMsgs as $msg)
	{	printError($msg);	}
}

$self = $_SERVER[PHP_SELF];
print "<form name=\"init_form\" method=\"post\" action=\"$self\" >\n";

//Set Default no of clusters to quarter of total number of entities.
$currPageNameUpper = strtoupper($currPageName);

print printPageSelections('', true, true);

if (!isset($_SESSION[$currPageNameUpper]['minVal']))
{
	//setting default values;
	foreach ($TableIDs as $TableID)
	{
		$_SESSION[$currPageNameUpper]['minVal'][$TableID] = round($_SESSION['DOMAPS']['minVal'][$TableID], 4);
		$_SESSION[$currPageNameUpper]['maxVal'][$TableID] =round($_SESSION['DOMAPS']['maxVal'][$TableID], 4);
		$_SESSION[$currPageNameUpper]['divisions'][$TableID] = 5;
	}

	$_SESSION[$currPageNameUpper]['minValColor'][$_SESSION['TableID']['COMPOUND']] = '#00FF00';
	$_SESSION[$currPageNameUpper]['maxValColor'][$_SESSION['TableID']['COMPOUND']] = '#FF0000';
	
	$_SESSION[$currPageNameUpper]['minValColor'][$_SESSION['TableID']['REPORTER']] = '#00FF00';
	$_SESSION[$currPageNameUpper]['maxValColor'][$_SESSION['TableID']['REPORTER']] = '#FF0000';
}
if ($_SESSION['DOMAPS']['firstRun'][$_SESSION['TableID']['COMPOUND']])
{	fillFieldSets($_SESSION['TableID']['COMPOUND'], "Compound");	}
if ($_SESSION['DOMAPS']['firstRun'][$_SESSION['TableID']['REPORTER']])
{	fillFieldSets($_SESSION['TableID']['REPORTER'], "Gene");	}

//print animation choice
if (!isset($_SESSION[$currPageNameUpper]['animationSpeed']))
{	$_SESSION[$currPageNameUpper]['animationSpeed'] = 1;	}
print "<p>";
print "<input type=\"radio\" name=\"IsAnimated\" value=\"0\"";
if ($_SESSION[$currPageNameUpper]['IsAnimated'] == 0)
{	print " checked";	}
print "/>Separate Images<br />";

print "<input type=\"radio\" name=\"IsAnimated\" value=\"1\"";
if ($_SESSION[$currPageNameUpper]['IsAnimated'] == 1)
{	print " checked";	}
print "/>Animation with Speed <input type=\"text\" name=\"animationSpeed\" size=\"3\" value=\"{$_SESSION[$currPageNameUpper]['animationSpeed']}\" /> sec(s)<br />";
print "</p>";

printControlBar($_SESSION['STEP_NUMBER'], 1);
print "\n</form>";

include ("footer.php");
?>


<?php

function fillFieldSets($TableID, $fieldsetName)
{
	global $currPageName;
	$currPageNameUpper = strtoupper($currPageName);

	//Type1 Fieldset
	print "<fieldset class=\"min-max-$fieldsetName\"><legend>$fieldsetName</legend>";
	print "\n<p><label>Maximum: </label><input type=\"text\" size=\"6\" name=\"maxVal[$TableID]\" value=\"{$_SESSION[$currPageNameUpper]['maxVal'][$TableID]}\" /> ";
	print "<a href=\"javascript:pickColor('{$fieldsetName}_pick02');\" id=\"{$fieldsetName}_pick02\"
	style=\"border: 1px solid #000000; font-family:Verdana; font-size:10px;
	text-decoration: none;\">&nbsp;&nbsp;&nbsp;</a>
	<input id=\"{$fieldsetName}_pick02field\" size=\"7\" type=\"hidden\" onChange=\"relateColor('{$fieldsetName}_pick02', this.value);\" name=\"maxValColor[$TableID]\" value=\"{$_SESSION[$currPageNameUpper]['maxValColor'][$TableID]}\">
	<script language=\"javascript\">relateColor('{$fieldsetName}_pick02', getObj('{$fieldsetName}_pick02field').value);</script>";
	print "</p>";
	
	print "\n<p><label>Minimum: </label><input type=\"text\" size=\"6\" name=\"minVal[$TableID]\" value=\"{$_SESSION[$currPageNameUpper]['minVal'][$TableID]}\" /> ";
	print "<a href=\"javascript:pickColor('{$fieldsetName}_pick01');\" id=\"{$fieldsetName}_pick01\"
	style=\"border: 1px solid #000000; font-family:Verdana; font-size:10px;
	text-decoration: none;\">&nbsp;&nbsp;&nbsp;</a>
	<input id=\"{$fieldsetName}_pick01field\" size=\"7\" type=\"hidden\" onChange=\"relateColor('{$fieldsetName}_pick01', this.value);\" name=\"minValColor[$TableID]\" value=\"{$_SESSION[$currPageNameUpper]['minValColor'][$TableID]}\">
	<script language=\"javascript\">relateColor('{$fieldsetName}_pick01', getObj('{$fieldsetName}_pick01field').value);</script>";
	print "</p>";
	
	print "\n<p><label>Divisions: </label><input type=\"text\" size=\"2\" name=\"divisions[$TableID]\" value=\"{$_SESSION[$currPageNameUpper]['divisions'][$TableID]}\" /><label> (Odd number between 3 and 15 inclusive)</label></p>";
	print "\n</fieldset>";
	
}

function writeBromeRCFile()
{
	global $currPageName, $TableIDs;
	$currPageNameUpper = strtoupper($currPageName);
	
	$sid = session_id();

	if ($_SESSION['DOMAPS']['firstRun'][$_SESSION['TableID']['COMPOUND']])
	{	
		if ($firstLineDone)
		{	$data .= "\n";	}
		$data .= "TYPENAME=COMPOUND\n";
		$data .= "COLOR-COMPOUND=";
		$data .= getRestOfData($_SESSION['TableID']['COMPOUND']);
		$firstLineDone = true;
	}
	if ($_SESSION['DOMAPS']['firstRun'][$_SESSION['TableID']['REPORTER']])
	{	
		if ($firstLineDone)
		{	$data .= "\n";	}
		$data .= "TYPENAME=GENE\n";
		$data .= "COLOR-GENE=";
		$data .= getRestOfData($_SESSION['TableID']['REPORTER']);
		$firstLineDone = true;
	}
	
	writeFile($data, $_SESSION['BROWSER_TMP_RELATIVE'], "$sid.rc");
}

function getRestOfData($TableID)
{
	global $currPageName;
	$currPageNameUpper = strtoupper($currPageName);
	
	$RMin = hexdec(substr($_SESSION[$currPageNameUpper]['minValColor'][$TableID], 1, 2));
	$GMin = hexdec(substr($_SESSION[$currPageNameUpper]['minValColor'][$TableID], 3, 2));
	$BMin = hexdec(substr($_SESSION[$currPageNameUpper]['minValColor'][$TableID], 5, 2));
	
	$RMax = hexdec(substr($_SESSION[$currPageNameUpper]['maxValColor'][$TableID], 1, 2));
	$GMax = hexdec(substr($_SESSION[$currPageNameUpper]['maxValColor'][$TableID], 3, 2));
	$BMax = hexdec(substr($_SESSION[$currPageNameUpper]['maxValColor'][$TableID], 5, 2));
	
	$div = $_SESSION[$currPageNameUpper]['divisions'][$TableID];
	$max = $_SESSION[$currPageNameUpper]['maxVal'][$TableID];
	$min = $_SESSION[$currPageNameUpper]['minVal'][$TableID];
	
	if ($div == "")
	{	$div = 5;	}
	if ($max == "")
	{	$max = 0;	}
	if ($min == "")
	{	$min = 0;	}
	
	return "$div $max $min $RMax $GMax $BMax $RMin $GMin $BMin";
}

function processForm($currPageName = "")
{
	global $errMsgs, $TableIDs;
	$currPageNameUpper = strtoupper($currPageName);
	$_SESSION[$currPageNameUpper]['IsAnimated'] = $_REQUEST['IsAnimated'];
	$_SESSION[$currPageNameUpper]['animationSpeed'] = $_REQUEST['animationSpeed'];
	
	if ($_SESSION[$currPageNameUpper]['IsAnimated'] AND strval(intval($_SESSION[$currPageNameUpper]['animationSpeed'])) != $_SESSION[$currPageNameUpper]['animationSpeed'])
	{	$errMsgs[] = "Please enter an integer value for animation speed.";	}
	
	foreach($TableIDs as $TableID)
	{
		if (strlen($_REQUEST['minVal'][$TableID]))
		{	$_SESSION[$currPageNameUpper]['minVal'][$TableID] = round($_REQUEST['minVal'][$TableID], 4);	}
		else
		{	unset($_SESSION[$currPageNameUpper]['maxVal'][$TableID]);	}
		if (strlen($_REQUEST['minVal'][$TableID]))
		{	$_SESSION[$currPageNameUpper]['maxVal'][$TableID] = round($_REQUEST['maxVal'][$TableID], 4);	}
		else
		{	unset($_SESSION[$currPageNameUpper]['maxVal'][$TableID]);	}
		if (strlen($_REQUEST['divisions']))
		{	$_SESSION[$currPageNameUpper]['divisions'][$TableID] = floor($_REQUEST['divisions'][$TableID]);	}
		else
		{	unset($_SESSION[$currPageNameUpper]['divisions'][$TableID]);	}
		
		$_SESSION[$currPageNameUpper]['minValColor'][$TableID] = $_REQUEST['minValColor'][$TableID];
		$_SESSION[$currPageNameUpper]['maxValColor'][$TableID] = $_REQUEST['maxValColor'][$TableID];
		$_SESSION[$currPageNameUpper]['divisions'][$TableID] = $_REQUEST['divisions'][$TableID];
		
		//Validations
		if (isset($_SESSION[$currPageNameUpper]['divisions'][$TableID]) && ($_SESSION[$currPageNameUpper]['divisions'][$TableID] <= 0 OR $_SESSION[$currPageNameUpper]['divisions'][$TableID] > 15))
		{	$errMsgs[] = "'Divisions' should be greater than 0 and less than or equal to 15.";	}
		if (isset($_SESSION[$currPageNameUpper]['divisions'][$TableID]) && $_SESSION[$currPageNameUpper]['divisions'][$TableID] % 2 == 0)
		{	$errMsgs[] = "'Divisions' should be an odd number.";	}
	}
	
	if ($errMsgs)
	{	return 0;	}
	
	writeBromeRCFile();

	if ($errMsgs)
	{	return 0;	}
	else
  	{  	return 1;	}
}
?>