<?php

include_once("common.php");

populateReactionNamesBNet();
//fillSearchNames();

function fillSearchNames()
{
	$sql = "SELECT name_id, aname FROM allnames ORDER BY name_id";
	$sth = $_SESSION['dbhBNet']->query($sql);

	if ( DB::isError($sth) ) 
	{	
		printError("Error searching for allnames. (" . $sth->getMessage() . ")");   	
	}
	
	while ($row = $sth->fetchRow())
	{
		$search_name = $_SESSION['dbhBNet']->quote(convertToSearchName($row[1]));
		$sql = "UPDATE allnames SET search_name = $search_name WHERE name_id = '$row[0]'";
			
		$sthR = $_SESSION['dbhBNet']->query($sql);
		if ( DB::isError($sthR) ) 
		{	
			print "Error for ID: $row[0], Name: $row[1]. (" . $sthR->getMessage() . ")"; 
		}
	}
		
	print "All AllNames Done";
}


function populateReactionNamesBNet($event_id_list = "")
{
	$sql = "SELECT event_id FROM event";
	if ($event_id_list)
	{	$sql .= " WHERE event_id IN ($event_id_list)";	}
	$sql .= " ORDER BY event_id";
	$sth = $_SESSION['dbhBNet']->query($sql);

	if ( DB::isError($sth) ) 
	{	
		printError("Error searching for event_ids. (" . $sth->getMessage() . ")");   	
		return 0;
	}
	
	while ($row = $sth->fetchRow())
	{
		$reactionString = getReactionString($row[0], $_SESSION['dbhBNet']);
		$search_name = $_SESSION['dbhBNet']->quote(convertToSearchName($reactionString));
		$reactionString = $_SESSION['dbhBNet']->quote($reactionString);
		
		$sql = "SELECT aname, search_name FROM allnames WHERE 
		kw_table_id = '{$_SESSION['TableID']['EVENT']}' 
		AND record_id = $row[0]
		AND UPPER(is_primary) = 'Y'";
		$sthR = $_SESSION['dbhBNet']->query($sql);
		if ( DB::isError($sthR) ) 
		{	
			print "Error getting from allnames for event_id $row[0]. (" . $sthR->getMessage() . ")"; 
			return 0;
		}

		if ($sthR->numRows() > 0)
		{
			$rowR = $sthR->fetchRow();
			$reactionStringR = $_SESSION['dbhBNet']->quote($rowR[0]);
			$search_nameR = $_SESSION['dbhBNet']->quote($rowR[1]);
			if ($reactionString != $reactionStringR OR $search_name != $search_nameR)
			{
				$sql = "UPDATE allnames SET aname = $reactionString, 
				search_name = $search_name
				WHERE kw_table_id = '{$_SESSION['TableID']['EVENT']}'
				AND record_id = '$row[0]'
				AND UPPER(is_primary) = 'Y'";
				
				$sthR = $_SESSION['dbhBNet']->query($sql);
				if ( DB::isError($sthR) ) 
				{	
					print "Error adding or updating allnames table. (" . $sthR->getMessage() . ")"; 
					return 0;
				}
			}
		}
		else
		{
			$sql = "INSERT INTO allnames (name_id, aname, kw_table_id, record_id, is_primary, search_name) 
				VALUES (nextval('allnames_id_seq'), $reactionString, '{$_SESSION['TableID']['EVENT']}', '$row[0]', 'Y', $search_name)";
			
			$sthR = $_SESSION['dbhBNet']->query($sql);
			if ( DB::isError($sthR) ) 
			{	
				print "Error adding or updating allnames table. (" . $sthR->getMessage() . ")"; 
				return 0;
			}
		}
		
	}
	return 1;	
	print "All EventIDs Done";
}


    
?>