<?php
/**
* This script performs a vacuum analyze on the database.
* Date: 31 Oct 2005
* @author Aejaaz Kamal <aekamal@vt.edu>
*/

//session_start();
include_once("common.php");
?>

<?php
$title = "DOME : Cleanup Temp Directory"; 
include("header.php");
if (!(strtoupper($_SESSION['role']) == 'EDITOR' OR strtoupper($_SESSION['role']) == 'MANAGER'))
{	printError("You are not authorized to view this page. Your role level should be 'editor' or 'manager' to view this page.");	exit();}
?>

<div class="left-align">
<?php	
	
	$ret = fillForm();
	if ($ret)
	{
		$msg = "Vacuum failed";	
	  	$_SESSION['Message'][] = $errMsgs[0];
	}
	else
	{
		$msg = "Vacuum Successful";	
	  	$_SESSION['Message'][] = $msg;
		//redirect
		print "<meta http-equiv=\"refresh\" content=\"0; URL=intro.php?stepno=1\">";
		exit();
	}
	
	function fillForm()
	{
		global $errMsgs;
		$sql = "VACUUM ANALYZE";
		$sth = $_SESSION['dbh']->query($sql);
		if ( DB::isError($sth) ) 
		{	$errMsgs[] = "Error performing vacuum analyze. " . $sth->getMessage();	return 1;	}
		return 0;
	}
	
?>
</div>
<?php 
	include("footer.php");
?>

